Bug 485522 - Need rpm spec file to require xerces-j2
Need rpm spec file to require xerces-j2
Status: CLOSED ERRATA
Product: Dogtag Certificate System
Classification: Community
Component: Infrastructure (Show other bugs)
1.1
All Linux
urgent Severity medium
: ---
: ---
Assigned To: Matthew Harmsen
Chandrasekar Kannan
:
Depends On:
Blocks: 443788
  Show dependency treegraph
 
Reported: 2009-02-13 17:03 EST by Kevin Wright
Modified: 2015-07-13 00:56 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-22 19:32:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dogtag_diffs (1.51 KB, text/plain)
2009-02-14 17:47 EST, Matthew Harmsen
no flags Details
redhat_diffs (3.89 KB, text/plain)
2009-02-14 17:47 EST, Matthew Harmsen
no flags Details

  None (edit)
Description Kevin Wright 2009-02-13 17:03:49 EST
Spec file needs to have BuildRequires: xerces-j2 for javadoc stuff to build properly.
Comment 1 Matthew Harmsen 2009-02-13 18:09:24 EST
pki/dogtag:

% svn status | grep -v ^$ | grep -v ^P | grep -v ^X | grep -v ^?
M      common/pki-common.spec
M      util/pki-util.spec

% svn commit
Sending        dogtag/common/pki-common.spec
Sending        dogtag/util/pki-util.spec
Transmitting file data ..
Committed revision 228.
Comment 3 Matthew Harmsen 2009-02-14 17:47:27 EST
Created attachment 331943 [details]
dogtag_diffs
Comment 5 Matthew Harmsen 2009-02-14 17:51:25 EST
attachment (id=331943) contains the addition of the osutil as a build-time requirement for pki-java-tools:

% svn status | grep -v ^$ | grep -v ^P | grep -v ^X | grep -v ^?
M      java-tools/pki-java-tools.spec

% svn commit
Sending        dogtag/java-tools/pki-java-tools.spec
Transmitting file data .
Committed revision 230.
Comment 7 Jenny Galipeau 2009-06-04 14:19:28 EDT
pki-util not listing xerces-j2 as dependency:


Resolving Dependencies
--> Running transaction check
---> Package pki-util.noarch 0:8.0.0-12.beta set to be updated
--> Processing Dependency: jss >= 4.2.6 for package: pki-util
--> Running transaction check
---> Package jss.x86_64 0:4.2.6-1.el5idm set to be updated
--> Finished Dependency Resolution

pki-common:

Resolving Dependencies
--> Running transaction check
---> Package pki-common.noarch 0:8.0.0-12.beta set to be updated
--> Processing Dependency: tomcatjss >= 1.1.0 for package: pki-common
--> Running transaction check
---> Package tomcatjss.noarch 0:1.1.0-13.el5idm set to be updated
--> Processing Dependency: tomcat5 >= 5.5.9 for package: tomcatjss
--> Running transaction check
---> Package tomcat5.x86_64 0:5.5.23-0jpp.7.el5_2.1 set to be updated
--> Processing Dependency: xerces-j2 >= 2.7.1 for package: tomcat5
--> Running transaction check
---> Package xerces-j2.x86_64 0:2.7.1-7jpp.2 set to be updated
--> Finished Dependency Resolution
Comment 8 Matthew Harmsen 2009-06-04 18:46:31 EDT
Spoke with Chandra.  Speak with him on details on how to test this.
Comment 9 Chandrasekar Kannan 2009-06-04 18:58:29 EDT
this bug is to add xerces-j2 as BuildRequires on the spec file. 
To verify that you need to look at the source rpms not yum output.

At run time both pki-util and pki-common do not directly depend on xerces-j2.
xerces-j2 is direct run time dependency only for tomcat5

Look at rpm -q --requires <package>

To get the spec file from a source rpm, you can do rpm2cpio <source_rpm> | cpio <extract options>

Note You need to log in before you can comment on or make changes to this bug.